This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 825238 - cannot auto-complete new commands 'rhc setup' and 'rhc server'
cannot auto-complete new commands 'rhc setup' and 'rhc server'
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 08:30 EDT by Meng Bo
Modified: 2015-05-14 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhc-0.93.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-05-25 08:30:39 EDT
Description of problem:
the new command rhc setup and rhc status cannot be auto-completed, in Linux Terminal.

Version-Release number of selected component (if applicable):
rhc-0.93.11

How reproducible:
always

Steps to Reproduce:
1.install rhc
2.source /etc/bash_completion.d/rhc
3.input 'rhc s' from CLI
4.hit 'Tab' key
  
Actual results:
command 'rhc setup' and 'rhc server' cannot be autocompleted.

Expected results:
commands should can be autocompleted

Additional info:
Comment 1 John (J5) Palmieri 2012-05-29 15:40:22 EDT
fixed
Comment 2 yquan 2012-05-30 02:51:35 EDT
Verified on rhc-0.93.15-1.el6_2.noarch.

Output:

[root@localhost home]# rhc s
server  setup   sshkey

Note You need to log in before you can comment on or make changes to this bug.